Bug 249126 - Review Request: flagpoll - Developers' tool for storing compilation information
Summary: Review Request: flagpoll - Developers' tool for storing compilation information
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-21 02:12 UTC by Deji Akingunola
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 16:17:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Deji Akingunola 2007-07-21 02:12:49 UTC
Spec URL: ftp://czar.eas.yorku.ca/pub/flagpoll/flagpoll.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/flagpoll/flagpoll-0.8.3-1.fc8.src.rpm
Description: Flagpoll is a tool for developers to use meta-data files for storing information
on what is needed to compile their software. Think of it as the rpm of software
development. It enables developers total control over which packages, versions,
architectures, etc. that they want to use meta-data from.

Comment 1 Parag AN(पराग) 2007-09-28 06:44:31 UTC
looks upstream got new release.
If you still want to contribute this package to Fedora then I will review this
provided you give new SPEC and SRPM links of new upstream release.

Also, make sure to use valid License names. You can use rpmlint command to check
for any warnings or error messages on SRPM and RPM.

Comment 2 Deji Akingunola 2007-09-28 09:32:56 UTC
Updated package at,

Spec URL: ftp://czar.eas.yorku.ca/pub/flagpoll/flagpoll.spec
SRPM URL: ftp://czar.eas.yorku.ca/pub/flagpoll/flagpoll-0.9.1-1.fc8.src.rpm

Comment 3 Parag AN(पराग) 2007-09-28 10:20:54 UTC
thanks.
will do complete review.

Comment 4 Parag AN(पराग) 2007-10-01 03:21:49 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
c4ac50ae99a880704abfc62a64ed16aa  flagpoll-0.9.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ package flagpoll-0.9.1-1.fc8 ->
  Requires: /usr/bin/python automake17
+ Not a GUI app.

APPROVED.


Comment 5 Deji Akingunola 2007-10-01 09:35:14 UTC
New Package CVS Request
=======================
Package Name: flagpoll
Short Description: Developers' tool for storing compilation information
Owners: deji
Branches: F-7
InitialCC: 
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2007-10-01 19:45:55 UTC
I assume the ' in the Description was a typo? I added it without that in the
Description. 

cvs done.

Comment 7 Parag AN(पराग) 2007-10-15 14:13:24 UTC
If this is built already can we have this review CLOSED?


Note You need to log in before you can comment on or make changes to this bug.